LibreOffice LibreOffice 5.3 SDK API Reference

Modules | Variables
CopyTableOperation.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sdb
| Basic interfaces for database access.
module | com::sun::star::sdb::application
| application UI.

## Constant Groups
constants | com::sun::star::sdb::application::CopyTableOperation
| specifies the different basic operations a CopyTableWizard can do.

## Variables
const short | CopyDefinitionAndData = 0
| specifies that the wizard should copy the source table to the target database, by creating a new table and copying all data. More...
const short | CopyDefinitionOnly = 1
| specifies that the wizard should copy the source table to the target database, by only creating a new table with the same structure as the source table. More...
const short | CreateAsView = 2
| specifies the wizard should create the source table as view More...
const short | AppendData = 3
| specifies the wizard should append the source table's data to an existing table in the target database. More...